Submit Curated Content
curl --request POST \
--url https://agent.crowdlisten.com/agent/v1/analysis/curate \
--header 'Content-Type: application/json' \
--data '
{
"entity_id": "<string>",
"urls": [
"<string>"
],
"texts": [
"<string>"
],
"sources": [
{
"raw_content": "<string>",
"title": "Imported source",
"url": "",
"platform": "manual",
"published_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
],
"question": "<string>",
"auto_analyze": false,
"request_id": "<string>"
}
'import requests
url = "https://agent.crowdlisten.com/agent/v1/analysis/curate"
payload = {
"entity_id": "<string>",
"urls": ["<string>"],
"texts": ["<string>"],
"sources": [
{
"raw_content": "<string>",
"title": "Imported source",
"url": "",
"platform": "manual",
"published_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
],
"question": "<string>",
"auto_analyze": False,
"request_id": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
entity_id: '<string>',
urls: ['<string>'],
texts: ['<string>'],
sources: [
{
raw_content: '<string>',
title: 'Imported source',
url: '',
platform: 'manual',
published_at: '2023-11-07T05:31:56Z',
metadata: {}
}
],
question: '<string>',
auto_analyze: false,
request_id: '<string>'
})
};
fetch('https://agent.crowdlisten.com/agent/v1/analysis/curate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agent.crowdlisten.com/agent/v1/analysis/curate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'entity_id' => '<string>',
'urls' => [
'<string>'
],
'texts' => [
'<string>'
],
'sources' => [
[
'raw_content' => '<string>',
'title' => 'Imported source',
'url' => '',
'platform' => 'manual',
'published_at' => '2023-11-07T05:31:56Z',
'metadata' => [
]
]
],
'question' => '<string>',
'auto_analyze' => false,
'request_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://agent.crowdlisten.com/agent/v1/analysis/curate"
payload := strings.NewReader("{\n \"entity_id\": \"<string>\",\n \"urls\": [\n \"<string>\"\n ],\n \"texts\": [\n \"<string>\"\n ],\n \"sources\": [\n {\n \"raw_content\": \"<string>\",\n \"title\": \"Imported source\",\n \"url\": \"\",\n \"platform\": \"manual\",\n \"published_at\": \"2023-11-07T05:31:56Z\",\n \"metadata\": {}\n }\n ],\n \"question\": \"<string>\",\n \"auto_analyze\": false,\n \"request_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://agent.crowdlisten.com/agent/v1/analysis/curate")
.header("Content-Type", "application/json")
.body("{\n \"entity_id\": \"<string>\",\n \"urls\": [\n \"<string>\"\n ],\n \"texts\": [\n \"<string>\"\n ],\n \"sources\": [\n {\n \"raw_content\": \"<string>\",\n \"title\": \"Imported source\",\n \"url\": \"\",\n \"platform\": \"manual\",\n \"published_at\": \"2023-11-07T05:31:56Z\",\n \"metadata\": {}\n }\n ],\n \"question\": \"<string>\",\n \"auto_analyze\": false,\n \"request_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://agent.crowdlisten.com/agent/v1/analysis/curate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"entity_id\": \"<string>\",\n \"urls\": [\n \"<string>\"\n ],\n \"texts\": [\n \"<string>\"\n ],\n \"sources\": [\n {\n \"raw_content\": \"<string>\",\n \"title\": \"Imported source\",\n \"url\": \"\",\n \"platform\": \"manual\",\n \"published_at\": \"2023-11-07T05:31:56Z\",\n \"metadata\": {}\n }\n ],\n \"question\": \"<string>\",\n \"auto_analyze\": false,\n \"request_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}analysis
Submit Curated Content
POST
/
agent
/
v1
/
analysis
/
curate
Submit Curated Content
curl --request POST \
--url https://agent.crowdlisten.com/agent/v1/analysis/curate \
--header 'Content-Type: application/json' \
--data '
{
"entity_id": "<string>",
"urls": [
"<string>"
],
"texts": [
"<string>"
],
"sources": [
{
"raw_content": "<string>",
"title": "Imported source",
"url": "",
"platform": "manual",
"published_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
],
"question": "<string>",
"auto_analyze": false,
"request_id": "<string>"
}
'import requests
url = "https://agent.crowdlisten.com/agent/v1/analysis/curate"
payload = {
"entity_id": "<string>",
"urls": ["<string>"],
"texts": ["<string>"],
"sources": [
{
"raw_content": "<string>",
"title": "Imported source",
"url": "",
"platform": "manual",
"published_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
],
"question": "<string>",
"auto_analyze": False,
"request_id": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
entity_id: '<string>',
urls: ['<string>'],
texts: ['<string>'],
sources: [
{
raw_content: '<string>',
title: 'Imported source',
url: '',
platform: 'manual',
published_at: '2023-11-07T05:31:56Z',
metadata: {}
}
],
question: '<string>',
auto_analyze: false,
request_id: '<string>'
})
};
fetch('https://agent.crowdlisten.com/agent/v1/analysis/curate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agent.crowdlisten.com/agent/v1/analysis/curate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'entity_id' => '<string>',
'urls' => [
'<string>'
],
'texts' => [
'<string>'
],
'sources' => [
[
'raw_content' => '<string>',
'title' => 'Imported source',
'url' => '',
'platform' => 'manual',
'published_at' => '2023-11-07T05:31:56Z',
'metadata' => [
]
]
],
'question' => '<string>',
'auto_analyze' => false,
'request_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://agent.crowdlisten.com/agent/v1/analysis/curate"
payload := strings.NewReader("{\n \"entity_id\": \"<string>\",\n \"urls\": [\n \"<string>\"\n ],\n \"texts\": [\n \"<string>\"\n ],\n \"sources\": [\n {\n \"raw_content\": \"<string>\",\n \"title\": \"Imported source\",\n \"url\": \"\",\n \"platform\": \"manual\",\n \"published_at\": \"2023-11-07T05:31:56Z\",\n \"metadata\": {}\n }\n ],\n \"question\": \"<string>\",\n \"auto_analyze\": false,\n \"request_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://agent.crowdlisten.com/agent/v1/analysis/curate")
.header("Content-Type", "application/json")
.body("{\n \"entity_id\": \"<string>\",\n \"urls\": [\n \"<string>\"\n ],\n \"texts\": [\n \"<string>\"\n ],\n \"sources\": [\n {\n \"raw_content\": \"<string>\",\n \"title\": \"Imported source\",\n \"url\": \"\",\n \"platform\": \"manual\",\n \"published_at\": \"2023-11-07T05:31:56Z\",\n \"metadata\": {}\n }\n ],\n \"question\": \"<string>\",\n \"auto_analyze\": false,\n \"request_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://agent.crowdlisten.com/agent/v1/analysis/curate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"entity_id\": \"<string>\",\n \"urls\": [\n \"<string>\"\n ],\n \"texts\": [\n \"<string>\"\n ],\n \"sources\": [\n {\n \"raw_content\": \"<string>\",\n \"title\": \"Imported source\",\n \"url\": \"\",\n \"platform\": \"manual\",\n \"published_at\": \"2023-11-07T05:31:56Z\",\n \"metadata\": {}\n }\n ],\n \"question\": \"<string>\",\n \"auto_analyze\": false,\n \"request_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Body
application/json
Request body for submitting curated content.
Entity UUID (required — curated content is entity-scoped)
URLs to extract and store
Maximum array length:
50Raw text snippets to store directly
Maximum array length:
50Original records with platform, author, dates and measurement metadata
Maximum array length:
50Show child attributes
Show child attributes
Focus query for synthesis (used when auto_analyze=True)
Wait for durable analysis; otherwise acknowledge capture while enrichment continues
Required string length:
8 - 128Response
Successful Response